From 541eb534abc862c42b6f37c629c2653f113eaf79 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Fri, 10 Nov 2017 09:05:31 -0600
Subject: [PATCH 25/25] _common_ openssl recipe

---
 recipes/openssl/openssl.recipe | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/recipes/openssl/openssl.recipe b/recipes/openssl/openssl.recipe
index a8ee539..8342add 100644
--- a/recipes/openssl/openssl.recipe
+++ b/recipes/openssl/openssl.recipe
@@ -18,6 +18,47 @@ class Recipe(recipe.Recipe):
     def prepare(self):
         self.make_install = self.make + ' install_sw'
 
+    def configure(self):
+        if self.config.target_platform == Platform.ANDROID:
+            if self.config.target_arch == Architecture.ARMv7:
+                self.configure_machine = "MACHINE=armv7 "
+                self.ndk_arch = "arm"
+            if self.config.target_arch == Architecture.X86:
+                self.configure_machine = "MACHINE=i686 "
+                self.ndk_arch = "x86"
+            if self.config.target_arch == Architecture.ARM64:
+                self.configure_machine = "MACHINE=aarch64 "
+                self.ndk_arch = "arm64"
+            if self.config.target_distro_version == DistroVersion.ANDROID_GINGERBREAD:
+                self.ndk_api = "9"
+            if self.config.target_distro_version == DistroVersion.ANDROID_ICE_CREAM_SANDWICH:
+                self.ndk_api = "14"
+            if self.config.target_distro_version == DistroVersion.ANDROID_JELLY_BEAN:
+                self.ndk_api = "16"
+            if self.config.target_distro_version == DistroVersion.ANDROID_KITKAT:
+                self.ndk_api = "19"
+            if self.config.target_distro_version == DistroVersion.ANDROID_LOLLIPOP:
+                self.ndk_api = "21"
+            if self.config.target_distro_version == DistroVersion.ANDROID_MARSHMALLOW:
+                self.ndk_api = "23"
+            if self.config.target_distro_version == DistroVersion.ANDROID_NOUGAT:
+                self.ndk_api = "24"
+            if self.config.target_distro_version == DistroVersion.ANDROID_OREO:
+                self.ndk_api = "26"
+            self.ndk_root = self.config.toolchain_prefix
+        
+            self.configure_sysroot = " --sysroot=" + self.ndk_root + "-" + self.ndk_arch + "-" + self.ndk_api + "/sysroot"
+            self.my_configure_tpl = self.configure_tpl
+            self.configure_tpl = self.configure_machine + self.my_configure_tpl + self.configure_sysroot
+
+        if self.config.target_platform == Platform.LINUX:
+            if self.config.target_arch == Architecture.ARMHF:
+                self.configure_machine = "MACHINE=armv7 "
+                self.my_configure_tpl = self.configure_tpl
+                self.configure_tpl = self.configure_machine + self.my_configure_tpl
+                
+        super(recipe.Recipe, self).configure()
+        
     def compile(self):
         shell.call(self.make + ' clean', self.make_dir)
         shell.call(self.make + ' depend', self.make_dir)
-- 
2.15.0

